#Install the forecast package
install.packages("forecast")

#Run the forecast package
library(forecast)

#Import data from Excel, e.g. File -> Import Dataset -> From Excel...

#-----------------------------------------#
# Moving average method
#Open (if you need) help on how moving averages work
help(ma)
#Generating a smoothed series for k=2
MA_Pop<-ma(Population_Poland$Population,order=2,centre=FALSE)
print(MA_Pop)
#Forecast based on a smoothed series
F1<-forecast(MA_Pop,h=5)
#Display of point forecasts with confidence intervals
F1
#Ex-post error assessment
#ME - average forecast error
#RMSE - root mean square error
#MAE - mean absolute error
#MPE - mean percentage error
#MAPE - mean absolute percentage error
#MASE - scaled mean absolute error
#ACF1 - first order autocorrelation function
accuracy(F1)
#Series visualization and forecasts
plot(F1)

#-----------------------------------------#
#Exponential smoothing method (Brown's method)
#Open (if you need) help on how the exponential smoothing method works
help(ses)
#Generate an exponential smoothing model. 
SES_Pop<-ses(Population_Poland$Population,alpha=0.5)
SES_Pop$model
#Forecast based on smoothed exponential
F2<-forecast(SES_Pop,h=5)
#Display of point forecasts with confidence intervals
F2
#Ex-post errors
accuracy(F2)
#Visualisation
plot(F2)

#-----------------------------------------#
# Holt method
#Open (if you need) help on how the Holt Method works
help(ses)
#transform data into time series
Pop<-ts(Population_Poland$Population,frequency = 1,start = c(1,1))
Pop
#Watch out! there will be an error for annual data!! no possibility of decomposition
HW<-HoltWinters(Pop)
#Visualisation
plot(HW)
#Forecast
F3<-forecast(HW,h=5)
#Display of point forecasts with confidence intervals
F3
#Ex-post errors
accuracy(F3)
#Visualisation
plot(F3)
